import { flags } from '@oclif/command';
import { IOptionFlag, IBooleanFlag } from '@oclif/parser/lib/flags';
export declare const help: (overrides?: Partial<IBooleanFlag<boolean>>) => {
    help: IBooleanFlag<void>;
};
export declare const definition: (overrides?: Partial<IOptionFlag<string>>) => {
    definition: flags.IOptionFlag<string>;
};
export declare const servers: () => {
    server: flags.IOptionFlag<string[]>;
};
export declare const parseOpts: () => {
    server: flags.IOptionFlag<string[]>;
    dereference: IBooleanFlag<boolean>;
    validate: IBooleanFlag<boolean>;
};
export declare const port: (overrides?: Partial<IOptionFlag<number>>) => {
    port: IOptionFlag<number>;
};
export declare const outputFormat: () => {
    format: flags.IOptionFlag<string>;
    json: IBooleanFlag<boolean>;
    yaml: IBooleanFlag<boolean>;
};
